commit b876a31407279329c75bc7ddf541c8c5af07152b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Feb 1 22:23:11 2021 +0100

    poppler 21.02.0

 CMakeLists.txt   |  4 ++--
 NEWS             | 19 +++++++++++++++++++
 cpp/Doxyfile     |  2 +-
 qt5/src/Doxyfile |  2 +-
 4 files changed, 23 insertions(+), 4 deletions(-)

commit 91de00020cdb7689692f3af3fde6decbdb22fc4e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 27 23:34:51 2021 +0100

    Update (C)

 poppler/GfxState.cc | 2 +-
 poppler/GfxState.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 129905529ddfe926b252d278b7a55dd83f432f55
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Wed May 27 22:24:57 2020 +0200

    GfxCal*ColorSpace: introduce Bradford transform for chromatic
    adaptation

    This brings the lcms2 code path and the non-lcms2 code path closer
    to each
    other in terms of color reproduction.
    So far the following points were missing, which are now added in
    this commit:
    - Both code paths did either not adjust for a different source white
    point at all (lcms2 code path)
      or did some simple scaling. The code has now been adjusted to use
      the Bradford transform
      to adapt to either the D50 or D65 white point, depending on the
      code path.
    - The non-lcms2 code path so far used the square root as an
    approximate gamma function.
      The correct sRGB gamma function has now been added.

 poppler/GfxState.cc | 182
 +++++++++++++++++++++++++++++++++-------------------
 poppler/GfxState.h  |   3 -
 2 files changed, 115 insertions(+), 70 deletions(-)

commit 222f96edc379d94661f5cab4c22c8cc9122d6e21
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 18 00:33:49 2021 +0100

    qt: Fix regression in QIODeviceOutStream + MSVC

    vsnprintf actually works fine than qvsnprintf on MSVC nowadays so use
    that

 qt5/src/poppler-qiodeviceoutstream.cc | 8 ++++----
 qt6/src/poppler-qiodeviceoutstream.cc | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 7c6a8b90ebaf2d5aaad8d2643601e59fa2cc4a0e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 18 00:13:08 2021 +0100

    Make checkedAdd work for long long in MSVC

 goo/GooCheckedOps.h | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 6fed4c9ff25fd99e164c94519128803db0593e96
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 16 12:31:36 2021 +0100

    FoFiTrueType::cvtSfnts: Fix uninitialized memory read on broken files

    Initialize maxUsedGlyph after the early check returns

    oss-fuzz/29629

 fofi/FoFiTrueType.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 051cae3b34226953aa0381f850e8e6eaa0b564bd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 16 00:11:37 2021 +0100

    qt: Properly export NewSignatureData

 qt5/src/poppler-qt5.h | 4 ++--
 qt6/src/poppler-qt6.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit d776dafbd40e75f35d6a6fc6cb012f158ee1409d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:41:25 2021 +0100

    Splash: fix uninitialized memory read on broken files

    oss-fuzz/23086

 splash/Splash.cc | 47 +++++++++++++++++++++++++++++++----------------
 splash/Splash.h  | 12 ++++++------
 2 files changed, 37 insertions(+), 22 deletions(-)

commit 4becde57a2fdfd095e400dd9ef64e64d5e94f858
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:08:15 2021 +0100

    CCITTFaxStream: Fix uninitialized memory read in broken files

    oss-fuzz/8795

 poppler/Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c0f34e983761b15e2c9d5fa6628f26fa7d362548
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:04:46 2021 +0100

    Relax the check in Gfx::opSetFillGray

 poppler/Gfx.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 548fe49fa53ff0ff63bc1a437ab04908f866cb87
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 15 16:01:01 2021 +0100

    Gfx::opSetFillRGBColor: Fix uninitialized memory read in bad files

    Make sure colorspace doesn't need more comps than we have

    oss-fuzz/29522

 poppler/Gfx.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3252bc323c814eb010df011024f06597755b4b7d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 10 20:15:39 2021 +0100

    Don't try to read xref at negative stream positions

    oss-fuzz/29460

 poppler/XRef.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit fec79bfc7ed1573a8d92ac77bcb225dd032db296
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 10 19:45:23 2021 +0100

    FoFiTrueType::cvtSfnts: Fix uninitialized memory read on broken files

    oss-fuzz/29386

 fofi/FoFiTrueType.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit e68410e359da932c7f30d8f0a41a5496268b339c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 9 17:34:55 2021 +0100

    Gfx::opSetFillGray: Make sure the colorspace is gray

    Otherwise we will end up doing an uninitialized memory read down the
    road

    oss-fuzz/10040

 poppler/Gfx.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9dcf1e396a240df50bcc05339855732d1535260b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 9 17:34:29 2021 +0100

    Update (C)

 poppler/XRef.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 60fb23c1d9530bb37558af38d4f616d984a42586
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 9 11:24:30 2021 +0100

    XRef::readXRef: Improve overflow check

    oss-fuzz/11744

 poppler/XRef.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit a8fdb464e8c1ccc920c064324d7289fa05c1cf1d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 8 16:27:50 2021 +0100

    Also protect against malformed GfxPatchMeshShading

    oss-fuzz/11197

 poppler/GfxState.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit f1b21278330a1a1f275f224a2ffd56dff45c5b4c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 8 16:12:28 2021 +0100

    GfxDeviceNColorSpace: Shift the validity check to the constructor

 poppler/GfxState.cc | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 2308e6fbb6f5afa20bb59ef3378fdb63de74c436
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 8 13:55:40 2021 +0100

    Fix uninitialized memory read on broken files

    oss-fuzz/10059

 poppler/GfxState.cc | 5 +++++
 1 file changed, 5 insertions(+)

commit 04035f915627a7e470a5509bccffedefb845d786
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 7 00:09:26 2021 +0100

    JBIG2Stream: Protect against yet another potential overflow

    oss-fuzz/29335

 poppler/JBIG2Stream.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 562770a741b9613b4e015b60e60d6ced1ac8926b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 7 00:04:25 2021 +0100

    PSOutputDev: Fix memory leak on broken files

    oss-fuzz/29330

 poppler/PSOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit 5c28b47bb4e89d10f82d80d3664384149f8f768d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 6 12:08:39 2021 +0100

    Fix leak introduced in 0e6c3ff9bb4390d2b426a4cddbb638c19811055d

    oss-fuzz/29305

 poppler/GfxState.cc | 1 +
 1 file changed, 1 insertion(+)

commit 2b82271415000e776b54f0214d564d28170d9c6b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jan 6 00:06:03 2021 +0100

    JBIG2Stream::readTextRegion: Fix yet another potential integer
    overflow

    oss-fuzz/27783

 poppler/JBIG2Stream.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d0497325555d60c8c44f8945f5a99ab6a4d7c252
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 5 23:55:46 2021 +0100

    Generalize the EOFStream wrapping EOFStream code

 poppler/Stream.cc | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

commit 6c9f9a491a221fb1fccfe758bc92308ff1a692d1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 5 13:10:30 2021 +0100

    FoFiType1C::cvtGlyph: Fix uninitialized memory read on broken files

    oss-fuzz/29269

 fofi/FoFiType1C.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit d5ac5a3aef453a55c175cb091e304cc463dd0ef8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 5 13:07:04 2021 +0100

    Fix two k that should have been k+1

 fofi/FoFiType1C.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0e6c3ff9bb4390d2b426a4cddbb638c19811055d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Jan 5 00:09:43 2021 +0100

    Check obj1 is a stream before getting the stream

    It seems we already did this check a few lines above, and indeed
    we did,
    but on very broken documents, if arr[1] is a Ref, getting objects may
    end up in a reconstruct xref call which may end up changing the
    type of
    arr[1] the next time we ask for it

    oss-fuzz/29260

 poppler/GfxState.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 3ac779d9a9d2c63433d3765c82a2724947d86a15
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 4 23:54:52 2021 +0100

    FoFiTrueType::parse: If we don't have tables parsing didn't succeed

    oss-fuzz/29217

 fofi/FoFiTrueType.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e4346ae34b24ce84a4aeae539f26cab49497450c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 4 23:39:54 2021 +0100

    PSOutputDev: protect against potential divide by 0

    oss-fuzz/29241

 poppler/PSOutputDev.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 9bb28091b64c1b19dcdccb63d50593abc15f627a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 4 23:24:36 2021 +0100

    JBIG2Stream::readSymbolDictSeg: Return early if one of the bitmaps
    is null

    Doesn't seem to regress any of the valid files i have and saves some
    broken ones that loop for hours

 poppler/JBIG2Stream.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit e126be08ea94d829a2d25aabb2ef79cc7bf65d4c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jan 4 18:05:44 2021 +0100

    SplashXPathScanner: If any of the segments of the path is nan,
    path is not valid

    Fixes crash in broken files #1022

 splash/SplashXPathScanner.cc | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 43126be585e587f6f571a0170f0f63098b82d064
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 22:33:30 2021 +0100

    PSOutputDev: Fix memory leak on broken files

    oss-fuzz/29201

 poppler/PSOutputDev.cc | 1 +
 1 file changed, 1 insertion(+)

commit 8f599d8caf35911f168fd9dbc99a68dc1ac12a1c
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sun Jan 3 08:56:17 2021 +0100

    JBIG2Stream: Store segments as std::unique_ptrs

    This makes the memory handling more error-proof, because
    all necessary calls to 'delete' happen automatically.

    This patch introduces several calls to std::unique_ptr::release,
    and hence break the explicit ownership chain established
    by using std::unique_ptr.  Not all of the calls are strictly
    necessary, but without them the patch would get a lot
    bigger than it is.  Better keep that for another day.

 poppler/JBIG2Stream.cc | 125
 +++++++++++++++++++------------------------------
 poppler/JBIG2Stream.h  |  18 ++++---
 2 files changed, 56 insertions(+), 87 deletions(-)

commit bc6acbfff6afa7d720abe7f79abe02e5a6591ef4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 19:20:45 2021 +0100

    PSOutputDev: fix a few integer overflows

    Now that we have oss-fuzz coverage i guess more will be coming
    soon ^_^

    oss-fuzz/29199

 poppler/PSOutputDev.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit af267b33cc42ccb9d1a89e06fed1481657c4b3f0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 12:25:01 2021 +0100

    Update (C)

 poppler/Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 72183a3ff881316bb470cc0f6db08cf9ef044e53
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 12:10:55 2021 +0100

    Don't wrap EOFStream in an EOFStream

    It's unneeded and can be relatively easily used to create stack
    overflows

    oss-fuzz/29184

 poppler/Stream.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit bae34cd97a94ff9aa7ad9458f04e494451828b0d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 01:42:06 2021 +0100

    fuzz the ps converter code

 qt5/tests/fuzzing/qt_pdf_fuzzer.cc | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 04aa2f7e416eb232821576fec7ed61b0b7273fbc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 01:06:39 2021 +0100

    CI: Enable goostring-format-checker clang checker

 .gitlab-ci.yml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4d58ff810bb977855c55d4de7d75899aa9ef55b7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 01:05:01 2021 +0100

    Change a few variables to types GooString::format knows about

    None of them is problematic, but being more strict let's use
    enable the
    goostring-format-checker clang plugin

 poppler/CurlCachedFile.cc | 6 +++---
 poppler/DateInfo.cc       | 3 ++-
 poppler/PSOutputDev.cc    | 5 +++--
 3 files changed, 8 insertions(+), 6 deletions(-)

commit 6b4f07ad1b74a2fa715d76d9da9cef3a2670d92c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 01:02:53 2021 +0100

    HtmlOutputDev: Fix error() parameter type

    This would cause a crash if that error() is ever called

 utils/HtmlOutputDev.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3928dde50bfd44d340ef0cb302610cbcf9bece58
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 00:09:22 2021 +0100

    Account for fread potentially failing

 poppler/Form.cc | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit ec9420b76c6a1dfc7101b03f475fa0c91fa49a47
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Jan 3 00:04:17 2021 +0100

    Account for Gfseek potentially failing

 poppler/Form.cc | 34 ++++++++++++++++++++++++++--------
 1 file changed, 26 insertions(+), 8 deletions(-)

commit 7e4ec140d1cc6bef375e38f3cf3f613dd7c88bbb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 2 23:53:32 2021 +0100

    FormWidgetSignature::signDocument: Fix resource leak if something
    goes wrong

 poppler/Form.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 43b5a94a610ce8fbb3d017bcdee85ac8f0be5ea4
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 2 23:43:58 2021 +0100

    Fix potential memory leak in FormWidgetSignature::updateOffsets

 poppler/Form.cc | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 27258358cd0b82a762382b8f0aafe06abd698484
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 2 23:36:06 2021 +0100

    clang api changes

 test/goostring-format-checker/README                      | 2 +-
 test/goostring-format-checker/goostring-format-checker.cc | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit db171f489ca532e48a1c44e2e3dfb9c069754582
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 2 23:03:29 2021 +0100

    Fix memory leak if saving the file fails

 poppler/Form.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 0a1174ff7043cbdc7195a5df562a96bd0033cb95
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 2 22:15:39 2021 +0100

    Rework a bit the "infinite" recursion detection of Gfx

    Instead of counting drawForm calls, count non toplevel display calls

    Remove a check from Gfx::doSoftMask which doesn't seem like it
    would do
    anything, let's hope the automatic fuzzer finds out if it does,
    git log
    says it comes from the xpdf3.02 merge

    This fixes issue #1021

 poppler/Gfx.cc | 31 ++++++++++++-------------------
 poppler/Gfx.h  |  4 ++--
 2 files changed, 14 insertions(+), 21 deletions(-)

commit cc947b5de9fb83d602bd62d74fd691e3581bc47a
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Sat Jan 2 12:21:34 2021 +0100

    JBIG2Stream: Don't allocate codeTables on the heap

    The codeTables objects are of type std::vector, and therefore
    consist of little more than a size and a data pointer.
    Allocating them on the stack (i.e., as values) avoids one
    indirection, avoids potential memory leaks, and makes the
    code easier to read.

 poppler/JBIG2Stream.cc | 67
 +++++++++++++++++++++-----------------------------
 1 file changed, 28 insertions(+), 39 deletions(-)

commit 3b82fb789116c805b0a69f6bf3a72466a1e87308
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Jan 2 17:54:42 2021 +0100

    poppler 21.01.0

 CMakeLists.txt         |  8 ++++----
 NEWS                   | 26 ++++++++++++++++++++++++++
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 6 files changed, 34 insertions(+), 8 deletions(-)

commit da3ffc4ece56abfd4387ad30d0707d46a81396fb
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 1 18:49:44 2021 +0100

    Update (C)

    https://gitlab.freedesktop.org/poppler/poppler/-/merge_requests/742/diffs
    was in 2020

 poppler/JBIG2Stream.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65c8152e0935dda215901a479abd8d5165aa0239
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 1 18:28:46 2021 +0100

    Update (C)

 poppler/JBIG2Stream.cc | 2 +-
 poppler/JBIG2Stream.h  | 2 +-
 poppler/Stream.cc      | 2 +-
 poppler/Stream.h       | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit deb70d33df07dda0e97e1d551f013a3b008f830a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jan 1 17:57:59 2021 +0100

    Welcome 2021

 poppler/poppler-config.h.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8de1a1914e76642cafbbfa436f31be22e53e54f
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Fri Jan 1 16:57:13 2021 +0000

    JBIG2Stream: Fix byte counting

    The JBIG2Stream::readSegments method contains a check for whether
    the number of bytes read actually matches the official size
    of the segment.  This check would fail occasionally, because
    apparently the bytes read were (sometimes) counted wrongly.

    Fix this by importing the corresponding explicit byte counting
    code from xpdf-4.02.

    BUGS: https://gitlab.freedesktop.org/poppler/poppler/-/issues/1005

 poppler/JBIG2Stream.cc | 83
 ++++++++++++++++++++++++++------------------------
 poppler/JBIG2Stream.h  |  1 +
 poppler/Stream.cc      | 19 ++++++++++++
 poppler/Stream.h       |  5 +++
 4 files changed, 68 insertions(+), 40 deletions(-)

commit 51151d41429de809235492bece87dd2d726c1a4e
Author: mrbax <12640-mrbax@users.noreply.gitlab.freedesktop.org>
Date:   Sat Dec 12 22:08:47 2020 +0100

    pdfimages: Account for rotation in PPI calculation

    Closes: https://gitlab.freedesktop.org/poppler/poppler/-/issues/3

 utils/ImageOutputDev.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit cab257727998251bb29e9f150fd5df69d08a2758
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 23 19:29:10 2020 +0100

    Stop using std::codecvt_utf16 in fromDecimal

    It's deprecated since C++17 and since we only care about numbers
    we can
    just remove the first byte of the utf16 and treat it as a regular
    string

 ConfigureChecks.cmake             |  1 -
 config.h.cmake                    |  3 ---
 poppler/PageLabelInfo.cc          |  2 +-
 poppler/PageLabelInfo_p.h         | 45
 ++++++++++++++++++++-------------------
 qt5/tests/check_pagelabelinfo.cpp | 10 ++-------
 qt6/tests/check_pagelabelinfo.cpp | 10 ++-------
 6 files changed, 28 insertions(+), 43 deletions(-)

commit 8846eb5d2e1466cf0aaa1f38d5452b60c47bd9dc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 30 17:37:41 2020 +0100

    QIODeviceOutStream: allocate memory dynamically

    Instead of using a fixed size array.

    I've only seen this being problematic in oss-fuzz created files,
    but I don't see why an actual file wouldn't create issues here too,
    so even if this is a bit slower, be on the safe side.

 qt5/src/poppler-qiodeviceoutstream.cc | 20 +++++++++++++++-----
 qt6/src/poppler-qiodeviceoutstream.cc | 20 +++++++++++++++-----
 2 files changed, 30 insertions(+), 10 deletions(-)

commit 3cb5d2531fd63bf136b016462c627ad45919a7ca
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Dec 30 07:08:52 2020 +0100

    Fix regression in JBIG2Stream.cc

    The recent commit 216ae4f058d2652f1795c7f840014cc69ee06408
    broke reading of certain JBIG2 images.  This commit fixes
    it again, by bringing the JBIG2Stream::reset() method
    back in line with what xpdf-4.02 does.

 poppler/JBIG2Stream.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 72827b0c11dc18a7eb6fce89c0e9877a8f3fc820
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 29 23:50:05 2020 +0100

    qt: Account for catalog potentially lacking AcroForm

 qt5/src/poppler-document.cc | 7 +++++--
 qt6/src/poppler-document.cc | 7 +++++--
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 1a7f9af090a079367f162a9a6b347e8f88ea6c0f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 29 23:31:30 2020 +0100

    Update (C)

 poppler/PDFDoc.cc | 1 +
 1 file changed, 1 insertion(+)

commit 0f24db9612fafdc321e49f6ddfc6553284149724
Author: Adam Sampson <ats@offog.org>
Date:   Sun Dec 27 17:42:21 2020 +0000

    PDFDoc::setup: Always set errCode on failure

    When something goes wrong, this function should return false and set
    errCode to indicate what went wrong. The two new checks added at
    the top
    didn't set errCode.

 poppler/PDFDoc.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 216ae4f058d2652f1795c7f840014cc69ee06408
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Mon Dec 21 18:18:51 2020 +0100

    JBIG2Stream: Do not allocate std::vector objects on the heap

    This left-over from GooList times is just one pointless
    layer of indirection.

 poppler/JBIG2Stream.cc | 50
 ++++++++++++++++++++++----------------------------
 poppler/JBIG2Stream.h  |  4 ++--
 2 files changed, 24 insertions(+), 30 deletions(-)

commit 3fb0f4bdff02ccd178ba9fd58c449001c8b5c0ea
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 27 19:41:15 2020 +0100

    Fix integer overflow with broken files

    oss-fuzz/29020

 poppler/JBIG2Stream.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 439440930cd4679076befe8850f39575869c4af1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 27 00:52:08 2020 +0100

    Update (C)

 poppler/Annot.cc  | 1 +
 poppler/XRef.cc   | 1 +
 utils/pdftoppm.cc | 1 +
 3 files changed, 3 insertions(+)

commit 94fea737473dd513438b7fb89347c6f1273e61b3
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Wed Dec 2 01:04:47 2020 +0100

    pdftoppm/pdftops: move shared ICC profile checks to their own file

 utils/CMakeLists.txt  |  2 ++
 utils/pdftoppm.cc     | 43 +++++++-----------------------------------
 utils/pdftops.cc      | 40 ++++-----------------------------------
 utils/sanitychecks.cc | 52
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 utils/sanitychecks.h  | 30 +++++++++++++++++++++++++++++
 5 files changed, 95 insertions(+), 72 deletions(-)

commit 3ea4508575167ec67583d3ed13efa100b8985b92
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Wed Sep 30 21:40:39 2020 +0200

    pdftops: add options to set DeviceGray/DeviceRGB/DeviceCMYK to the CLI

 poppler/PSOutputDev.cc |  3 ++
 utils/pdftops.1        | 12 ++++++++
 utils/pdftops.cc       | 82
 +++++++++++++++++++++++++++++++++++++++++++++++---
 3 files changed, 92 insertions(+), 5 deletions(-)

commit 66eab5dab46d84b11d3eaa3ee107cb370061e39e
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Wed Sep 30 21:39:19 2020 +0200

    PSOutputDev: allow ICCBased color spaces with invalid Ref to be
    embedded

 poppler/PSOutputDev.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 0d6a3dd991efff3126a1cb9b4de21a2c6db6fb45
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Wed Sep 30 15:47:06 2020 +0200

    pdftoppm: add options to set DeviceGray/DeviceRGB/DeviceCMYK to
    the CLI

 utils/pdftoppm.1  | 12 +++++++++
 utils/pdftoppm.cc | 76
 +++++++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 83 insertions(+), 5 deletions(-)

commit 1feeda46eb7c02092855c8d609cd493d9cfee18a
Author: Philipp Knechtges <philipp-dev@knechtges.com>
Date:   Wed Sep 30 13:56:43 2020 +0200

    Introduce options to set fallback DefaultGray/DefaultRGB/DefaultCMYK
    color spaces to ICC profiles

    This will allow for a fully color-managed workflow in cases where
    the pdf does not specify default
    color spaces.

 poppler/Gfx.cc      |  12 ++---
 poppler/GfxState.cc | 123
 ++++++++++++++++++++++++++++++++--------------------
 poppler/GfxState.h  |  36 +++++++++++++++
 poppler/OutputDev.h |  34 +++++++++++++++
 4 files changed, 153 insertions(+), 52 deletions(-)

commit 5dc1f4876031f0dc9fc09c89691c30c99a6ec418
Author: Nelson Benítez León <nbenitezl@gmail.com>
Date:   Fri Dec 25 22:19:43 2020 -0400

    Annots: check for form object

    before calling methods on it, because
    by de-facto it's possible for a pdf
    to have form fields but not have a
    Catalog root Form object.

    Fixes crash from issue #1018

 poppler/Annot.cc | 31 +++++++++++++++++++++----------
 1 file changed, 21 insertions(+), 10 deletions(-)

commit 8ba1a7c24f4e62783135face9a10b1fa6a764015
Author: William Bader <william@newspapersystems.com>
Date:   Fri Dec 25 02:23:37 2020 +0000

    Avoid testing xrefHasChanges each iteration in
    407293bfb9108c9d9e2611a294b389ed9c593900

 poppler/XRef.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d87e3d78d6d2323b1236dede9ada5bc1d7c74af1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 25 11:07:13 2020 +0100

    Update (C)

 poppler/GfxState.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a54ead84365fe41c07fa9c9f82c1afbb8f9c140
Author: William Bader <william@newspapersystems.com>
Date:   Fri Dec 25 01:57:37 2020 +0000

    Place the faster colorspace test first in
    0cd75023d84baf9d996c0f55da5ea9bd4c2d3b33

 poppler/GfxState.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e41020a290694c8cab589ab3858d4ac12d87f9cd
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Dec 24 11:05:44 2020 +0100

    Update (C)

 poppler/GfxState.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0cd75023d84baf9d996c0f55da5ea9bd4c2d3b33
Author: Thomas Freitag <thomas.freitag.bbr@gmail.com>
Date:   Thu Dec 24 09:41:03 2020 +0000

    don't use colorspace2 optimization if caller wants the spot colorants

 poppler/GfxState.cc | 2 +-
 poppler/GfxState.h  | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 4f478daa6a9734b8f269a6586bdce2909844bb6f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 23 23:52:58 2020 +0100

    Fix opening files by some generators that are a bit broken

    But Adobe opens it and it's easy to fix

 poppler/XRef.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 3cc28b66132e66ed2dfe13a9a285ac41ac7267d5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 23 23:27:02 2020 +0100

    FoFiType1C: Fix crashes with broken files

 fofi/FoFiType1C.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 629d8aa142c27a36cb2cd123c8391bcfbd3f3e23
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 23 00:01:46 2020 +0100

    GfxCIDFont::GfxCIDFont: Fix Integer-overflow on broken files

    oss-fuzz/28884

 poppler/GfxFont.cc | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit 1c0c2ce5ddee5fb7cf695dc6005ab84b9ae9eb9c
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 22 23:10:27 2020 +0100

    Update (C)

 poppler/GfxState.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 238dc045beeeb1eb619f3fb6cb699ba36813222d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 21 22:57:44 2020 +0100

    Fix infinite looping in cvtGlyph with broken files

 fofi/FoFiType1C.cc | 20 +++++++++++++++-----
 fofi/FoFiType1C.h  |  4 +++-
 2 files changed, 18 insertions(+), 6 deletions(-)

commit 4c81b06626a50af68f0cf1c0f77caf434e46f67d
Author: Thomas Freitag <thomas.freitag@alfa.de>
Date:   Mon Dec 21 08:39:39 2020 +0100

    add white point correction when lcms is used

 poppler/GfxState.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 20cc0c2a59d330b44306ef21e6c191f4e3ddaff5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 21 18:46:56 2020 +0100

    Update (C)

 poppler/DCTStream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 11b2bc1b67a306af3ee5a731c95e856728b32bff
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 21 18:37:01 2020 +0100

    CI: Seems debian unstable clazy got fixed

 .gitlab-ci.yml | 1 -
 1 file changed, 1 deletion(-)

commit 52808e8d56606d009a2cb15a1963fe87ff29e040
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 20 23:39:40 2020 +0100

    CI: Use clazy from debian:testing for now, unstable is broken

 .gitlab-ci.yml | 1 +
 1 file changed, 1 insertion(+)

commit ae614bf8ab42c9d0c7ac57ecdfdcbcfc4ff6c639
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 20 23:15:12 2020 +0100

    Fix DCTStream::getChars we're reading past the buffer check

    I wonder how this had never crashed before :S

    Fixes #1011

 poppler/DCTStream.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e1f562582db4ed902989e23f7a02645a51da8e88
Author: Albert Astals Cid <aacid@kde.org>
